package com.hai.service;

import com.hai.entity.HighDiscountAgentRel;

import java.util.List;
import java.util.Map;

/**
 * @Auther: 胡锐
 * @Description:
 * @Date: 2021/4/4 00:15
 */
public interface HighDiscountAgentRelService {

    /**
     * @Author 胡锐
     * @Description 增加
     * @Date 2021/4/4 0:32
     **/
    void insertDiscountAgentRel(HighDiscountAgentRel highDiscountAgentRel,Integer stockCount) throws Exception;

    /**
     * @Author 胡锐
     * @Description 修改
     * @Date 2021/4/4 0:32
     **/
    void updateDiscountAgentRel(HighDiscountAgentRel highDiscountAgentRel);

    /**
     * @Author 胡锐
     * @Description 删除
     * @Date 2021/4/4 0:32
     **/
    void deleteDiscountAgentRel(Long id);

    /**
     * @Author 胡锐
     * @Description 根据代理商id和卡券id查询
     * @Date 2021/4/4 0:32
     **/
    HighDiscountAgentRel getRelByDiscountAgent(Long discountId,Long agentId);

    /**
     * @Author 胡锐
     * @Description 根据代理商id和卡券id查询
     * @Date 2021/4/4 0:32
     **/
    List<HighDiscountAgentRel> getRelByDiscountId(Long discountId);

    /**
     * @Author 胡锐
     * @Description 根据id查询
     * @Date 2021/4/4 0:32
     **/
    HighDiscountAgentRel getRelById(Long id);

    /**
     * @Author 胡锐
     * @Description 查询列表
     * @Date 2021/4/4 0:32
     **/
    List<HighDiscountAgentRel> getRelList(Map<String,Object> map);
}
